/* global.css */
:root {
  /* TODO: 変数定義の整理 */

  /* ============ Theme Typography ============ */

  --font-family-body-jp: "Zen Kaku Gothic New", sans-serif;
  --font-family-heading-jp: "Shippori Mincho B1", serif;
  --font-family-en: "Marcellus", serif;

  /* ----- */
  --font-weight-light: 300;
  --font-weight-regular: 500;
  --font-weight-bold: bold;

  /* ----- */
  --font-size-4xl: 40px;
  --font-size-3xl: 32px;
  --font-size-2xl: 24px;
  --font-size-xl: 20px;
  --font-size-lg: 18px;
  --font-size-md: 16px;
  --font-size-sm: 14px;
  --font-size-xs: 12px;
  --font-size-min: 10px;

  /* ----- */
  --body-font-family-base: var(--font-family-body-jp);
  --body-font-size-base: var(--font-size-md);
  --body-font-size-sm: var(--font-size-sm);
  --body-font-size-min: var(--font-size-xs);
  --body-font-weight-base: var(--font-weight-regular);
  --body-font-weight-bold: var(--font-weight-bold);
  --body-letter-spacing-base: 0.08em;
  --body-line-height-base: 1.7;

  /* ----- */
  --heading-font-family-base: var(--font-family-heading-jp);
  --heading-font-size-h1: var(--font-size-4xl);
  --heading-font-size-h2: var(--font-size-3xl);
  --heading-font-size-h3: var(--font-size-2xl);
  --heading-font-size-h4: var(--font-size-xl);
  --heading-font-size-h5: var(--font-size-lg);
  --heading-font-weight-base: var(--font-weight-bold);
  --heading-letter-spacing: 0.08em;
  --heading-line-height-base: 1.6;

  /* ============ Theme Colors ============ */

  /* TODO: Colors定義の整理 */

  /* ----- 基本色 */
  --color-white: #fff;
  --color-black: #000;

  /* ----- */
  --color-gray-300: #e5e5e5;
  --color-gray-700: #555;
  --color-gray-900: #333;

  /* ----- */
  --bland-color-base: #5baec2;
  --bland-color-type02: #f8c678;
  --bland-color-type03: #54637b;

  /* ----- */
  --body-text-color: var(--color-gray-900);

  /* ----- */
  --link-hover-color: #5baec2;

  /* ----- */
  --note-text-color: #555;

  /* ----- */
  --tag-blog-color: #cbf4f2;

  /* ----- */
  --border-color-base: #ffdab0;
  --border-color-gray: #e5e5e5;

  /* ----- */
  --placeholder-color: #bdbdbd;

  /* ----- */
  --accent-color-base: #5baec2;

  /* ----- */

  --color-alert: #d20000;
  --color-alert-secondary: #ffeded;

  /* bg */
  --section-bg-color-type01: #e7eeef;
  --section-bg-color-type02: #efe2d6;
  --section-bg-color-type03: #ffecda;

  /* ============ Theme Space ============ */

  /* ----- TODO: Space定義の整理 */

  /* ----- */
  --spacing-base: 4px;
  --spacing-x1: calc(var(--spacing-base) * 1);
  --spacing-x2: calc(var(--spacing-base) * 2);
  --spacing-x3: calc(var(--spacing-base) * 3);
  --spacing-x4: calc(var(--spacing-base) * 4);
  --spacing-x5: calc(var(--spacing-base) * 5);
  --spacing-x6: calc(var(--spacing-base) * 6);
  --spacing-x7: calc(var(--spacing-base) * 7);
  --spacing-x8: calc(var(--spacing-base) * 8);
  --spacing-x9: calc(var(--spacing-base) * 9);
  --spacing-x10: calc(var(--spacing-base) * 10);
  --spacing-x14: calc(var(--spacing-base) * 14);
  --spacing-x18: calc(var(--spacing-base) * 18);
  --spacing-x20: calc(var(--spacing-base) * 20);
  --spacing-x24: calc(var(--spacing-base) * 24);
  --spacing-x28: calc(var(--spacing-base) * 28);

  /* ============ Theme Gap Space ============ */

  /* ----- TODO: Space定義の整理 */

  /* ----- */
  --spacing-gap-3xl: 120px;
  --spacing-gap-2xl: 80px;
  --spacing-gap-xl: 56px;
  --spacing-gap-lg: 40px;
  --spacing-gap-md: 24px;
  --spacing-gap-sm: 16px;
  --spacing-gap-xs: 12px;
  --spacing-gap-2xs: 8px;
  --spacing-gap-3xs: 4px;

  /* ============ Theme Section Space ============ */

  /* ----- TODO: Space定義の整理 */

  --section-spacing-xl: 80px;
  --section-spacing-lg: 40px;
  --section-spacing-md: 24px;
  --section-spacing-sm: 16px;
  --section-spacing-xs: 8px;

  /* ============ Theme Radius ============ */

  /* ----- TODO: Radius定義の整理 */

  /* ----- */
  --radius-full: 9999px;
  --radius-xl: 80px;
  --radius-lg: 56px;
  --radius-md: 24px;
  --radius-sm: 20px;
  --radius-xs: 12px;
  --radius-none: 0;
}

@media all and (max-width: 1119.98px) {
  :root {
    /* ----- */
    --font-size-4xl: 32px;
    --font-size-3xl: 24px;
    --font-size-2xl: 20px;
    --font-size-xl: 18px;
    --font-size-lg: 16px;
    --font-size-md: 14px;
    --font-size-sm: 12px;
    --font-size-xs: 10px;
    --font-size-min: 8px;
  }
}

@media all and (max-width: 1119.98px) {
  :root {
    --spacing-gap-3xl: 80px;
    --spacing-gap-2xl: 56px;
    --spacing-gap-xl: 40px;
    --spacing-gap-lg: 24px;
    --spacing-gap-md: 16px;
    --spacing-gap-sm: 12px;
    --spacing-gap-xs: 8px;
    --spacing-gap-2xs: 4px;
    --spacing-gap-3xs: 2px;
  }
}

@media all and (max-width: 1119.98px) {
  :root {
    --section-spacing-xl: 56px;
    --section-spacing-lg: 24px;
    --section-spacing-md: 16px;
    --section-spacing-sm: 12px;
    --section-spacing-xs: 4px;
  }
}

@media all and (max-width: 1119.98px) {
  :root {
    --radius-full: 9999px;
    --radius-xl: 56px;
    --radius-lg: 40px;
    --radius-md: 20px;
    --radius-sm: 12px;
    --radius-xs: 8px;
    --radius-none: 0;
  }
}

/* ============ Theme shadow ============ */

/* ----- Undefined style */

/* ============ reset styles ============  */
*,
*::before,
*::after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  text-align: left;
}

address,
i {
  font-style: normal;
}

b,
strong {
  font-weight: bolder;
}

small {
  font-size: 80%;
}

code,
kbd,
samp,
pre {
  font-family: ui-monospace, SFMono-Regular, Consolas, "Liberation Mono", Menlo, monospace;
  font-size: 1em;
}

sub,
sup {
  position: relative;
  font-size: 75%;
  line-height: 0;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

a {
  color: inherit;
  text-decoration: none;
}

ul,
ol {
  list-style: none;
}

img,
picture,
svg,
video,
canvas,
audio,
iframe,
embed,
object {
  display: block;
}

img,
picture,
svg,
video {
  max-width: 100%;
  height: auto;
  vertical-align: bottom;
}

p,
h1,
h2,
h3,
h4,
h5,
h6 {
  overflow-wrap: break-word;
}

fieldset {
  border: 0;
}

button,
select {
  appearance: none;
  cursor: pointer;
  outline: none;
  background-color: transparent;
  border: none;
}

input,
button,
textarea,
select {
  font: inherit;
  color: inherit;
}

button,
label,
select,
summary,
[role="button"],
[role="option"] {
  letter-spacing: inherit;
  cursor: pointer;
}

textarea {
  resize: vertical;
}

[type="search"] {
  appearance: textfield;
  outline-offset: -2px;
}

::-webkit-search-decoration {
  appearance: none;
}

::-webkit-file-upload-button {
  font: inherit;
  appearance: auto;
}

details > summary {
  list-style: none;
}

summary::-webkit-details-marker {
  display: none;
}

label:has(> input:disabled),
label:has(+ input:disabled) {
  cursor: not-allowed;
}

table {
  border-spacing: 0;
  border-collapse: collapse;
  border: none;
}

html {
  scroll-behavior: smooth;
}

@media (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
}

body {
  width: 100%;
  font-family: var(--body-font-family-base);
  font-size: var(--body-font-size-base);
  font-style: normal;
  font-weight: var(--body-font-weight-base);
  line-height: var(--body-line-height-base);
  color: var(--body-text-color);
  letter-spacing: var(--body-letter-spacing-base);
  background: #fff;
  -webkit-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  text-size-adjust: 100%;
}

:disabled {
  cursor: not-allowed;
}

::placeholder {
  color: var(--placeholder-color); /* TODO: Colors定義の整理  */
}

input:focus-visible {
  outline: 2px solid var(--bland-color-base); /* TODO: Colors定義の整理  */
}

textarea:focus-visible {
  outline: 2px solid var(--bland-color-base); /* TODO: Colors定義の整理  */
}

select:focus-visible {
  outline: none;
  border: 2px solid var(--bland-color-base); /* TODO: Colors定義の整理  */
}

/* TODO: 区切り線の色定義の整理 */
hr {
  height: 0;
  margin: 0;
  border: none;
  border-top: 1px solid var(--border-color-base);
}

hr.base-divider-line {
  border-color: var(--border-color-gray);
}

h1,
h2,
h3,
h4,
h5 {
  font-family: var(--heading-font-family-base);
  line-height: var(--heading-line-height-base);
}

.base-note-text {
  font-size: var(--body-font-size-sm);
  color: var(--note-text-color); /* TODO: Colors定義の整理 */
}

.base-note-text[data-content] {
  display: flex;
  gap: 8px; /* TODO: Space定義の整理 */
}

.base-note-text[data-content]::before {
  display: flex;
  flex-shrink: 0;
  content: attr(data-content) "";
}

/* ----- */
@keyframes css-fade-in {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.css-animation-fade-in {
  opacity: 0;
  animation-name: css-fade-in;
  animation-duration: 0.5s;
  animation-timing-function: cubic-bezier(0.455, 0.03, 0.515, 0.955); /* easeInOutQuad */
  animation-fill-mode: both;
}

/* ----- */
.view-mobile-only {
  display: none;
}

@media all and (max-width: 1119.98px) {
  .view-mobile-only {
    display: block;
  }
}

@media all and (max-width: 1119.98px) {
  .view-desktop-only {
    display: none;
  }
}

/* ----- link text styles */
.base-link-text {
  display: inline-flex;
  gap: var(--spacing-x1); /* TODO: Space定義の整理 */
  align-items: center;
  color: var(--bland-color-base); /* TODO: Colors定義の整理 */
  text-decoration: underline;
  text-underline-offset: 0.25em;
}

/* hover */
@media (any-hover: hover) {
  .base-link-text:hover {
    text-decoration: none;
  }
}

/* ----- list styles */

/* 番号付きリスト */
.base-ordered-list {
  padding-left: 1.8em;
  list-style-type: decimal;
}

/* 順序なしリスト */
.base-unordered-list {
  padding-left: 1.8em;
  list-style-type: disc;
}

/* 注釈リスト */
.base-note-list {
  display: flex;
  flex-wrap: wrap;
  gap: 0 16px; /* TODO: Space定義の整理 */
  font-size: var(--body-font-size-sm);
  color: var(--note-text-color); /* TODO: Colors定義の整理 */
}

.base-note-list .list-item {
  display: flex;
  gap: 8px; /* TODO: Space定義の整理 */
}

.base-note-list .list-item::before {
  display: flex;
  flex-shrink: 0;
  content: attr(data-content) "";
}

@media all and (max-width: 1119.98px) {
  .base-note-list {
    flex-direction: column;
  }
}

.base {
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 100svh;
}

/* BaseBackToPageTopButton.css */
.base-back-to-page-top-button {
  position: fixed;
  right: 40px;
  bottom: 30px;
  z-index: 10;
  visibility: hidden;
  width: 50px;
  height: 50px;
  cursor: pointer;
  opacity: 0;
  transition: opacity 0.3s ease-out;
}

.base-back-to-page-top-button > svg {
  width: 50px;
  height: 50px;
}

@media all and (max-width: 1119.98px) {
  .base-back-to-page-top-button {
    right: 16px;
    bottom: 35px;
  }
}

/* hover */
@media (any-hover: hover) {
  .base-back-to-page-top-button:hover {
    opacity: 0.5 !important;
  }
}

.base-back-to-page-top-button[data-is-visibility="visible"] {
  visibility: initial;
  opacity: 1;
}

/* ===== base header ===== */

/* BaseHeaderType03.css */
.base-header-type03 {
  --button-gradation-bg-color: linear-gradient(95deg, #2ba5c3 0.02%, #51c795 49.06%, #f8c678 100%);
  --global-nav-link-current-color: var(--bland-color-type02);
  --icon-color: var(--color-gray-700);

  position: sticky;
  top: 0;
  z-index: 100;
  display: flex;
  width: 100%;
  padding: 16px 40px 8px;
  background: rgb(255 255 255 / 80%);
  -webkit-backdrop-filter: blur(10px);
  backdrop-filter: blur(10px);
}

@media all and (max-width: 1119.98px) {
  .base-header-type03 {
    display: flex;
    height: 56px;
    padding: 0 0 0 16px;
    background: rgb(255 255 255 / 95%);
    -webkit-backdrop-filter: unset;
    backdrop-filter: unset;
  }
}

.base-header-type03 .base-site-logo {
  z-index: 1;
  align-self: center;
  height: 42px;
  color: #000;
}

.base-header-type03 .base-site-logo > a {
  display: flex;
  width: 100%;
  height: 100%;
}

@media all and (max-width: 1119.98px) {
  .base-header-type03 .base-site-logo {
    height: 32px;
  }
}

.base-header-type03 .base-site-logo svg {
  width: auto;
  max-width: 100%;
}

@media all and (min-width: 1120px) {
  .base-header-type03[data-header-type="HOME"] {
    --icon-color: #fff;

    position: fixed;
    color: #fff;
    background: transparent;
    -webkit-backdrop-filter: blur(0);
    backdrop-filter: blur(0);
  }

  .base-header-type03[data-header-type="HOME"] .base-site-logo svg {
    color: #fff;
  }

  .base-header-type03[data-header-type="HOME"][data-is-scroll="true"] {
    --icon-color: var(--color-gray-700);

    color: var(--color-gray-700);
    background: rgb(255 255 255 / 80%);
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
  }

  .base-header-type03[data-header-type="HOME"][data-is-scroll="true"] .base-site-logo svg {
    color: #000;
  }
}

/* ----- */
.base-header-type03 .base-header-nav-container {
  display: flex;
  flex: 1;
  flex-direction: column;
}

@media all and (max-width: 1119.98px) {
  .base-header-type03 .base-header-nav-container {
    position: fixed;
    top: 56px;
    left: 0;
    box-sizing: border-box;
    display: flex;
    visibility: hidden;
    flex-direction: column;
    gap: 24px;
    width: 100%;
    height: calc(100% - 56px);
    padding: 0 16px 24px;
    overflow-y: auto;
    overscroll-behavior-y: none;
    background: rgb(255 255 255 / 95%);
    opacity: 0;
    transition: all ease 0.3s;
  }
}

/* ----- */
.base-header-type03 .base-header-cta-nav {
  align-self: center;
  order: -1;
  margin-left: auto;
}

@media all and (max-width: 1119.98px) {
  .base-header-type03 .base-header-cta-nav {
    order: initial;
  }
}

.base-header-type03 .base-header-cta-nav ul {
  display: flex;
  gap: 40px;
  align-items: center;
}

.base-header-type03 .base-header-cta-nav .cta-nav-link {
  display: flex;
  gap: 4px;
  align-items: center;
}

.base-header-type03 .base-header-cta-nav .cta-nav-link > .icon {
  color: var(--icon-color);
}

@media all and (max-width: 1119.98px) {
  .base-header-type03 .base-header-cta-nav {
    align-self: initial;
    margin-left: initial;
  }

  .base-header-type03 .base-header-cta-nav ul {
    display: flex;
    flex-direction: column;
    gap: 24px;
    align-items: stretch;
  }

  .base-header-type03 .base-header-cta-nav .base-link-button[data-size="sm"] {
    max-width: none;
  }
}

/* ----- */
.base-header-type03 .base-header-global-nav ul {
  display: flex;
  align-items: flex-start;
  align-self: stretch;
  justify-content: flex-end;
  padding: 0 0 4px;
}

.base-header-type03 .base-header-global-nav ul > li {
  display: flex;
  align-items: center;
  justify-content: center;
  min-width: 120px;
}

.base-header-type03 .base-header-global-nav .global-nav-link {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 60px;
  padding: 16px 8px;
}

.base-header-type03 .base-header-global-nav .global-nav-link::after {
  position: absolute;
  bottom: 0;
  left: 50%;
  display: flex;
  width: calc(100% - 20px);
  height: 2px;
  pointer-events: none;
  content: "";
  background: transparent;
  border-radius: 99px;
  transform: translate(-50%, 0);
}

.base-header-type03 .base-header-global-nav .global-nav-link[data-is-current="false"]::after {
  background: transparent;
}

.base-header-type03 .base-header-global-nav .global-nav-link[data-is-current="true"]::after {
  background: var(--global-nav-link-current-color);
}

@media (any-hover: hover) {
  .base-header-type03 .base-header-global-nav .global-nav-link[data-is-current="false"]:hover::after {
    background: var(--global-nav-link-current-color);
  }
}

@media all and (max-width: 1119.98px) {
  .base-header-type03 .base-header-global-nav ul {
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: flex-start;
    padding: 0;
  }

  .base-header-type03 .base-header-global-nav ul > li {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    border-bottom: 1px solid var(--color-gray-300);
  }

  .base-header-type03 .base-header-global-nav .global-nav-link {
    position: relative;
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: flex-start;
    height: 60px;
    padding: 16px 8px;
  }

  .base-header-type03 .base-header-global-nav .global-nav-link::after {
    display: none;
  }
}

/* ----- */
@media all and (min-width: 1120px) {
  .base-header-type03 .base-header-mobile-menu {
    display: none;
  }
}

@media all and (max-width: 1119.98px) {
  .base-header-type03 .base-header-mobile-menu {
    position: fixed;
    top: 0;
    right: 0;
    z-index: 10;
    display: flex;
    font-size: 10px;
  }

  .base-header-type03 .base-header-mobile-menu-access {
    display: flex;
    flex-direction: column;
    gap: 2px;
    align-items: center;
    justify-content: center;
    width: 56px;
    height: 56px;
    font-size: 10px;
  }

  .base-header-type03 .base-header-mobile-menu-access > .icon {
    width: 22px;
    height: 22px;
    color: var(--icon-color);
  }

  .base-header-type03 .base-header-mobile-menu-button {
    display: flex;
    flex-direction: column;
    gap: 2px;
    align-items: center;
    justify-content: center;
    width: 56px;
    height: 56px;
    font-size: 10px;
    color: #fff;
    cursor: pointer;
    background: var(--button-gradation-bg-color);
    border-radius: 0 0 0 var(--radius-xs);
  }

  .base-header-type03 .base-header-mobile-menu-button .label {
    font-size: 10px;
  }
}

/* toggle style */
@media all and (max-width: 1119.98px) {
  .base-header-type03[data-is-mobile-menu="close"] .base-header-mobile-menu-button[aria-label="閉じる"] {
    display: none;
  }

  .base-header-type03[data-is-mobile-menu="close"] .base-header-nav-container {
    visibility: hidden;
    opacity: 0;
  }

  .base-header-type03[data-is-mobile-menu="open"] .base-header-mobile-menu-button[aria-label="メニュー"] {
    display: none;
  }

  .base-header-type03[data-is-mobile-menu="open"] .base-header-nav-container {
    visibility: visible;
    opacity: 1;
  }
}

/* ===== base footer ===== */

/* _BaseFooter.css */
.base-footer {
  --footer-bg-color-type01: #515b77;
  --footer-bg-color-type02: #46506b;

  color: #fff;
  background: var(--footer-bg-color-type01);
  border-radius: 0 20px 0 0;
}

@media all and (max-width: 1119.98px) {
  .base-footer {
    border-radius: 0;
  }
}

.base-footer-info-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--spacing-gap-lg);
  align-self: stretch;
  max-width: calc(1100px + 80px);
  padding: var(--spacing-gap-2xl) 0;
  padding: 80px 40px 56px;
  margin-inline: auto;
}

@media all and (max-width: 1119.98px) {
  .base-footer-info-container {
    padding: 40px 16px;
  }
}

.base-footer-info-desc {
  display: grid;
  grid-template-columns: auto 1fr minmax(300px, auto);
  gap: var(--spacing-gap-lg);
  align-items: flex-start;
  align-self: stretch;
}

@media all and (max-width: 1119.98px) {
  .base-footer-info-desc {
    display: grid;
    grid-template-columns: 1fr;
  }
}

/* ----- */
.base-footer-logo {
  /* style */
}

/* ----- */
.base-footer-address {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-2xs);
}

.base-footer-address .address {
  /* style */
}

.base-footer-address .contact-list {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-3xs);
}

.base-footer-cta {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-sm);
}

.base-footer-cta .base-link-button[data-variant="outline"] {
  border: none;
}

/* ----- */
.base-footer-sns {
  display: flex;
  gap: var(--spacing-gap-sm);
  align-items: center;
  justify-content: flex-end;
}

@media all and (max-width: 1119.98px) {
  .base-footer-sns {
    justify-content: flex-start;
  }
}

.base-footer-site-map {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-auto-rows: max-content;
  gap: var(--spacing-gap-2xl);
  max-width: calc(1100px + 80px);
  padding: 0 40px 80px;
  margin-inline: auto;
}

@media all and (max-width: 1119.98px) {
  .base-footer-site-map {
    grid-template-columns: 1fr;
    gap: 0;
    padding: 0 16px 56px;
  }
}

.base-footer-site-map > ul {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-2xs);
  align-items: flex-start;
}

@media all and (max-width: 1119.98px) {
  .base-footer-site-map > ul {
    display: flex;
    flex-direction: column;
  }
}

.base-footer-site-map > ul > li {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-xs) 0;
  width: 100%;
}

.base-footer-site-map > ul > li > a {
  display: flex;
  gap: var(--spacing-gap-sm);
  align-items: center;
  padding: 12px 0;
  border-bottom: 1px solid var(--color-gray-300, #e5e5e5);
}

.base-footer-site-map > ul > li > a::after {
  display: inline-flex;
  flex-shrink: 0;
  width: 13px;
  height: 11px;
  margin-left: auto;
  content: "";
  background-image: url("/images/base-footer-site-map-link-arrow.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

/* ----- */
.base-footer-site-map > ul > li .sub-page-link-list {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-2xs) 0;
  padding-left: 1.6em;
  list-style-type: disc;
}

/* style */
@media all and (max-width: 1119.98px) {
  .base-footer-site-map > .sub-page-link-list {
    /* style */
  }
}

.base-footer-copyright {
  display: flex;
  align-items: center;
  align-self: stretch;
  justify-content: center;
  height: 56px;
  padding: var(--spacing-gap-sm) 0;
  background: var(--footer-bg-color-type02);
}

.base-footer-copyright .copyright {
  font-size: var(--font-size-xs);
}

/* ===== base main ===== */
.base-main {
  flex: 1;
}

/* ===== base section ===== */
.base-section {
  display: flex;
  flex-direction: column;
  gap: var(--spacing-gap-xl);
}

.base-section-container {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--spacing-gap-xl);
  width: 100%;
  max-width: calc(1120px + 48px);
  padding: 80px 24px; /* TODO:変数定義 */
  margin: 0 auto;
}

@media all and (max-width: 1119.98px) {
  .base-section-container {
    max-width: 100%;
    padding: 40px 16px; /* TODO:変数定義 */
  }
}

.base-section-container > * {
  min-width: 0; /* NOTE: Grid の子要素を親からはみ出さないように */
}

.base-subsection {
  display: grid;
  grid-template-columns: 1fr;
  gap: var(--spacing-gap-sm);
  width: 100%;
  max-width: 100%;
  margin: 0 auto;
}

/* デフォルト（背景色なし）が連続する場合は余白削除  */
.base-section:not([data-bg-color]) + .base-section:not([data-bg-color]) .base-section-container {
  padding-top: 0;
}

.content-service-section-type02 + .base-section:not([data-bg-color]) .base-section-container {
  padding-top: 0; /* content-service-section-type02は見直す */
}

/* 背景色の定義 */
.base-section[data-bg-color="type01"] {
  background: var(--section-bg-color-type01);
}
